Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ValueDomainPropertyBundle

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_ApplicationObject
                          oracle.ifs.server.S_TieApplicationObject
                              oracle.ifs.server.S_PropertyBundle
                                  oracle.ifs.server.S_TiePropertyBundle
                                      oracle.ifs.server.S_ValueDomainPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieValueDomainPropertyBundle

    public class S_ValueDomainPropertyBundle

extends S_TiePropertyBundle

A ValueDomainPropertyBundle is a PropertyBundle containing a valid definition of the value of a ValueDomain.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_ValueDomainPropertyBundle(S_LibrarySession ssession, java.lang.Long classId)` Constructs a S_ValueDomainPropertyBundle.
`protected` | `S_ValueDomainPropertyBundle(S_LibrarySession ssession, S_LibraryObjectData data)` Constructs a S_ValueDomainPropertyBundle.

Method Summary
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs post-insert operations.
`protected void` | `extendedPostUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs post-update operations.
`AttributeValue` | `getPropertyValue()` Gets the value of this ValueDefaultPropertyBundle.
`boolean` | `isAttributeValueInValueDomainPropertyBundle(AttributeValue av)` Determines whether the specified attribute value lies within this ValueDomainPropertyBundle.

Methods inherited from class oracle.ifs.server.S_PropertyBundle
`deriveDefinition, extendedPreFree, extendedPreUpdate, getProperties, getPropertiesVector, getProperty, getPropertyValue, putProperty, removeProperty`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostFree, extendedPostUndelete, extendedPreCopy, extendedPreDelete, extendedPreInsert, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_ValueDomainPropertyBundle

    protected S_ValueDomainPropertyBundle(S_LibrarySession ssession,
                                          S_LibraryObjectData data)
                                   throws IfsException

  Constructs a S_ValueDomainPropertyBundle.

  Parameters:
    `ssession` - the session
    `data` - the ValueDomainPropertyBundle data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_ValueDomainPropertyBundle

    protected S_ValueDomainPropertyBundle(S_LibrarySession ssession,
                                          java.lang.Long classId)
                                   throws IfsException

  Constructs a S_ValueDomainPropertyBundle.

  This variant is used for objects that have not yet been created in the database.

  Parameters:
    `ssession` - the session
    `classId` - the id of the class of the object being constructed
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_ValueDomainPropertyBundle`
  Performs post-insert operations.

  Overrides:
    `extendedPostInsert` in class `S_PropertyBundle`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition of the ValueDomain being created
  Throws:
    `IfsException` - (IFS-31401) if the DOMAINTYPE is inappropriate for the DATATYPE
    `IfsException` - (IFS-31402) if an ENUMERATED value domain has no elements
    `IfsException` - (IFS-31403) if a RANGE or EXCLUSIVE_RANGE value domain does not have exactly 2 elements
    `IfsException` - (IFS-31404) if a MINIMUM or EXCLUSIVE_MINIMUM value domain does not have exactly 1 element
    `IfsException` - (IFS-31405) if a MAXIMUM or EXCLUSIVE_MAXIMUM value domain does not have exactly 1 element
    `IfsException` - (IFS-31406) if any of the element is null
    `IfsException` - (IFS-31407) if the minimum value of a RANGE or EXCLUSIVE_RANGE value domain exceeds the maximum value
  (Unpublished)

### extendedPostUpdate

    protected void extendedPostUpdate(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_ValueDomainPropertyBundle`
  Performs post-update operations.

  Overrides:
    `extendedPostUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - the operation state
    `sdef` - the definition of the ValueDomain being updated
  Throws:
    `IfsException` - (IFS-31401) if the DOMAINTYPE is inappropriate for the DATATYPE
    `IfsException` - (IFS-31402) if an ENUMERATED value domain has no elements
    `IfsException` - (IFS-31403) if a RANGE or EXCLUSIVE_RANGE value domain does not have exactly 2 elements
    `IfsException` - (IFS-31404) if a MINIMUM or EXCLUSIVE_MINIMUM value domain does not have exactly 1 element
    `IfsException` - (IFS-31405) if a MAXIMUM or EXCLUSIVE_MAXIMUM value domain does not have exactly 1 element
    `IfsException` - (IFS-31406) if any of the element is null
    `IfsException` - (IFS-31407) if the minimum value of a RANGE or EXCLUSIVE_RANGE value domain exceeds the maximum value
  (Unpublished)

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Description copied from class: `S_ValueDomainPropertyBundle`
  Gets the value of this ValueDefaultPropertyBundle.

  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isAttributeValueInValueDomainPropertyBundle

    public final boolean isAttributeValueInValueDomainPropertyBundle(AttributeValue av)
                                                              throws IfsException

  Description copied from class: `S_ValueDomainPropertyBundle`
  Determines whether the specified attribute value lies within this ValueDomainPropertyBundle.

  Parameters:
    `av` - the attribute value
  Returns:
    whether the attribute value lies within this ValueDomainPropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD